package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Select;

import lingtao.net.bean.ExpressFee;

public interface ExpressFeeMapper {

	List<ExpressFee> getExpressFees(ExpressFee expressFee);

	void addExpressFee(ExpressFee expressFee);

	void updateExpressFeeById(ExpressFee expressFee);

	void deleteExpressFeeById(Integer id);

	List<ExpressFee> getShortAnswers();

	@Select("select * from tbl_express_fee where pro_type_value = '999' order by id")
	List<ExpressFee> getAllExpressFees(ExpressFee expressFee);

	@Select("select * from tbl_express_fee where pro_type_value = '11' order by id")
	List<ExpressFee> getHandBagExpressFees(ExpressFee expressFee);

	@Select("select * from tbl_express_fee where pro_type_value = '6,7,8' order by id")
	List<ExpressFee> getTaoExpressFees(ExpressFee expressFee);

	@Select("select * from tbl_express_fee where pro_type_value = '0' order by id")
	List<ExpressFee> getOtherExpressFees(ExpressFee expressFee);

}
